%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          gtkspell3
Version:       3.0.10
Release:       1mamba
Summary:       Provides on-the-fly spell checking for GtkTextView widgets
Group:         Graphical Desktop/Libraries/GNOME
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gtkspell.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/gtkspell/%{version}/gtkspell3-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libenchant-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: aspell-devel
BuildRequires: docbook-xsl
BuildRequires: gtk-doc
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GtkSpell provides word-processor-style highlighting and replacement of misspelled words in a GtkTextView widget.
Right-clicking a misspelled word pops up a menu of suggested replacements.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Provides on-the-fly spell checking library for GtkTextView widgets

%description -n lib%{name}
GtkSpell provides word-processor-style highlighting and replacement of misspelled words in a GtkTextView widget.
Right-clicking a misspelled word pops up a menu of suggested replacements.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libgtk-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
GtkSpell provides word-processor-style highlighting and replacement of misspelled words in a GtkTextView widget.
Right-clicking a misspelled word pops up a menu of suggested replacements.
This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      lib%{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgtkspell3-3.so.*
%{_libdir}/girepository-1.0/GtkSpell-3.0.typelib
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gtkspell-3.0
%dir %{_includedir}/gtkspell-3.0/gtkspell
%{_includedir}/gtkspell-3.0/gtkspell/gtkspell.h
%{_libdir}/libgtkspell3-3.a
%{_libdir}/libgtkspell3-3.la
%{_libdir}/libgtkspell3-3.so
%{_libdir}/pkgconfig/gtkspell3-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir
%{_datadir}/vala/vapi/gtkspell3-3.0.deps
%{_datadir}/vala/vapi/gtkspell3-3.0.vapi
%doc ChangeLog README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gtkspell3
%{_datadir}/gtk-doc/html/gtkspell3/*

%changelog
* Tue Dec 11 2018 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic version update by autodist

* Wed Oct 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.9-1mamba
- update to 3.0.9

* Fri Apr 08 2016 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Sun Mar 08 2015 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Wed Jun 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.6-1mamba
- update to 3.0.6 (forked and renamed to gtkspell3 from libgtkspell)

* Mon Jan 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.16-1mamba
- update to 2.0.16

* Tue Oct 28 2008 gil <puntogil@libero.it> 2.0.14-1mamba
- update to 2.0.14

* Thu Jun 07 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.0.11-1mamba
- update to 2.0.11
- fixed group

* Tue Jul 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.6-1qilnx
- initial build
